package com.android.onemedia.playback;

import android.os.Bundle;
import android.support.v7.media.MediaItemMetadata;

import java.util.HashMap;
import java.util.Map;

/**
 * TODO: Insert description here. (generated by epastern)
 */
public class RequestUtils {
    public static final String ACTION_SET_CONTENT = "set_content";
    public static final String ACTION_SET_NEXT_CONTENT = "set_next_content";

    public static final String EXTRA_KEY_SOURCE = "source";
    public static final String EXTRA_KEY_METADATA = "metadata";
    public static final String EXTRA_KEY_HEADERS = "headers";

    private RequestUtils() {
    }

    public static class ContentBuilder {
        private Bundle mBundle;

        public ContentBuilder() {
            mBundle = new Bundle();
        }

        public ContentBuilder setSource(String source) {
            mBundle.putString(EXTRA_KEY_SOURCE, source);
            return this;
        }

        /**
         * @see MediaItemMetadata
         * @param metadata The metadata for this item
         */
        public ContentBuilder setMetadata(Bundle metadata) {
            mBundle.putBundle(EXTRA_KEY_METADATA, metadata);
            return this;
        }

        public ContentBuilder setHeaders(HashMap<String, String> headers) {
            mBundle.putSerializable(EXTRA_KEY_HEADERS, headers);
            return this;
        }

        public Bundle build() {
            return mBundle;
        }
    }
}
